﻿#region License Information
/* HeuristicLab
 * Copyright (C) 2002-2011 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
 *
 * This file is part of HeuristicLab.
 *
 * HeuristicLab is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * HeuristicLab is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with HeuristicLab. If not, see <http://www.gnu.org/licenses/>.
 */
#endregion

using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;

namespace HeuristicLab.DataImporter.Backend.Hl2ImporterFormat {
  public partial class Hl2ExporterView  : UserControl  {
    private SaveFileDialog saveFileDialog;
    public Hl2ExporterView() {
      InitializeComponent();
      this.saveFileDialog = new SaveFileDialog();
      saveFileDialog.AddExtension = true;
      saveFileDialog.RestoreDirectory = true;
      saveFileDialog.DefaultExt = "hl2";
      saveFileDialog.Filter = "HL2-Importer file (*.hl2)|*.hl2|All files (*.*)|*.*";
    }

    public string FileName {
      get { return txtFileName.Text; }
    }

    public string ProblemName {
      get { return txtProblemName.Text; }
    }

    public string TargetVariable {
      get { return txtTargetVariable.Text; }
    }

    public string NonInputVariables {
      get { return txtNonInputVariables.Text; }
    }

    public string MinimumTimeOffset {
      get { return txtMinimumTimeOffset.Text; }
    }

    public string MaximumTimeOffset {
      get { return txtMaximumTimeOffset.Text; }
    }

    public string MaximumTreeHeight {
      get { return txtMaximumTreeHeight.Text; }
    }

    public string MaximumTreeSize {
      get { return txtMaximumTreeSize.Text; }
    }

    public string TrainingStart {
      get { return txtTrainingStart.Text; }
    }

    public string TrainingEnd {
      get { return txtTrainingEnd.Text; }
    }

    public string ValidationStart {
      get { return txtValidationStart.Text; }
    }

    public string ValidationEnd {
      get { return txtValidationEnd.Text; }
    }

    public string TestStart {
      get { return txtTestStart.Text; }
    }

    public string TestEnd {
      get { return txtTestEnd.Text; }
    }

    private void btnBrowse_Click(object sender, EventArgs e) {
      if (saveFileDialog.ShowDialog() == DialogResult.OK) {
        this.txtFileName.Text = saveFileDialog.FileName;
      }
    }

  }
}
